# ifndef RookTestCase_h
# define RookTestCase_h
#include "TestHeader.h"
class RookTestCase:
  public TestCase
{
public:
  CPPUNIT_TEST_SUITE( RookTestCase );
  CPPUNIT_TEST( moveGeneration );
  CPPUNIT_TEST( captures );
  CPPUNIT_TEST( directions );
  CPPUNIT_TEST( testAttacks );
  //  CPPUNIT_TEST( testClone );
  CPPUNIT_TEST_SUITE_END();
protected:
  void moveGeneration();
  void captures();
  void directions();
  void testAttacks();
  void testClone();
};
#endif
